From 4dda6697888dd9ff27ac989466dc90e34978435a Mon Sep 17 00:00:00 2001
From: Jacob Michalskie <hel@lcp.world>
Date: Nov 17 2022 12:57:44 +0000
Subject: [PATCH 1/7] Revamp with bootstrap


---

diff --git a/fedocal/fedocallib/fedora_calendar.py b/fedocal/fedocallib/fedora_calendar.py
index b523f61..7d37a66 100644
--- a/fedocal/fedocallib/fedora_calendar.py
+++ b/fedocal/fedocallib/fedora_calendar.py
@@ -63,7 +63,7 @@ class FedocalCalendar(calendar.LocaleHTMLCalendar):
         """
         cur_date = date.today()
         if day == 0:
-            return '<td class="noday">&nbsp;</td>'  # day outside month
+            return '<td>&nbsp;</td>'  # day outside month
         else:
             link_day = day
 
@@ -83,15 +83,15 @@ class FedocalCalendar(calendar.LocaleHTMLCalendar):
                     day)
 
             if day in self.busy_days:
-                link_day = '<div class="busy_day">%s</div>' % link_day
-
-            if day == cur_date.day \
+                output = '<td class="%s secondary text-right">%s</td>' % (
+                    self.cssclasses[weekday], link_day)
+            elif day == cur_date.day \
                     and self.month == cur_date.month \
                     and self.year == cur_date.year:
-                output = '<td class="%s today">%s</td>' % (
+                output = '<td class="%s primary text-right">%s</td>' % (
                     self.cssclasses[weekday], link_day)
             else:
-                output = '<td class="%s">%s</td>' % (
+                output = '<td class="%s text-right">%s</td>' % (
                     self.cssclasses[weekday], link_day)
 
             return output
@@ -106,7 +106,7 @@ class FedocalCalendar(calendar.LocaleHTMLCalendar):
         """
         string = ''.join(self.formatday(d, wd) for (d, wd) in theweek)
         if current:
-            return '<tr class="current_week">%s</tr>' % string
+            return '<tr class="bg-light">%s</tr>' % string
         else:
             return '<tr>%s</tr>' % string
 
@@ -141,7 +141,7 @@ class FedocalCalendar(calendar.LocaleHTMLCalendar):
 
         prev_month_lnk = ''
         if self.calendar_name:
-            prev_month_lnk = '<a class="button" href="%s">&lt;</a>' % (
+            prev_month_lnk = '<a class="btn btn-secondary" href="%s">&lt;</a>' % (
                 flask.url_for(
                     'calendar',
                     calendar_name=self.calendar_name,
@@ -149,7 +149,7 @@ class FedocalCalendar(calendar.LocaleHTMLCalendar):
                     month=int(prev_month),
                     day=1))
         elif self.loc_name:
-            prev_month_lnk = '<a class="button" href="%s">&lt;</a>' % (
+            prev_month_lnk = '<a class="btn btn-secondary" href="%s">&lt;</a>' % (
                 flask.url_for(
                     'location',
                     loc_name=self.loc_name,
@@ -163,7 +163,7 @@ class FedocalCalendar(calendar.LocaleHTMLCalendar):
 
         next_month_lnk = ''
         if self.calendar_name:
-            next_month_lnk = '<a class="button" href="%s">&gt;</a>' % (
+            next_month_lnk = '<a class="btn btn-secondary" href="%s">&gt;</a>' % (
                 flask.url_for(
                     'calendar',
                     calendar_name=self.calendar_name,
@@ -171,7 +171,7 @@ class FedocalCalendar(calendar.LocaleHTMLCalendar):
                     month=int(next_month),
                     day=1))
         elif self.loc_name:
-            next_month_lnk = '<a class="button" href="%s">&gt;</a>' % (
+            next_month_lnk = '<a class="btn btn-secondary" href="%s">&gt;</a>' % (
                 flask.url_for(
                     'location',
                     loc_name=self.loc_name,
@@ -179,7 +179,7 @@ class FedocalCalendar(calendar.LocaleHTMLCalendar):
                     month=int(next_month),
                     day=1))
 
-        return '<tr><th colspan="7" class="month">%s %s %s</th></tr>' % (
+        return '<tr><th colspan="7"><div class="d-flex align-items-center justify-content-between text-center">%s <span class="mx-auto">%s</span> %s</div></th></tr>' % (
             prev_month_lnk, string, next_month_lnk)
 
     # pylint: disable=W0221
@@ -189,7 +189,7 @@ class FedocalCalendar(calendar.LocaleHTMLCalendar):
         """
         values = []
         item = values.append
-        item('<table class="month">')
+        item('<table class="table table-sm month">')
         item('\n')
         item(self.formatmonthname(self.year, self.month, withyear=withyear))
         item('\n')
